from django.shortcuts import render
from django.views import View
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView

from .models import Books, Author
# Create your views here.

def home(request):
    return render(request, 'bookshelf/home.html')

class BooksListView(ListView):
    model = Books

class BooksDetailView(DetailView):
    model = Books

class AuthorListView(ListView):
    model = Author

class AuthorDetailView(DetailView):
    model = Author
    booklist = Books.objects.all()
    extra_context = { 'books' : booklist }
